# Created by pyp2rpm-3.3.8
%global pypi_name PyHyperScattering
%global pypi_version 0.1.6

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Utilities for loading, reducing, fitting, and plotting hyperspectral x-ray and neutron scattering data.

License:        None
URL:            None
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
# PyHyperScattering
Python utilities for loading, reducing, slicing, and plotting hyperspectral
scattering datasets

This is a pre-ALPHA package, under active development.  It has not been tested
for functionality, stability, or scientific correctness. It may be poorly
documented.  Use at your own risk.  If you have interest in contributing,
please contact Peter Beaucage...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
# PyHyperScattering
Python utilities for loading, reducing, slicing, and plotting hyperspectral
scattering datasets

This is a pre-ALPHA package, under active development.  It has not been tested
for functionality, stability, or scientific correctness. It may be poorly
documented.  Use at your own risk.  If you have interest in contributing,
please contact Peter Beaucage...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Jun 28 2022 mockbuilder - 0.1.6-1
- Initial package.